"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.isEqualIcon = exports.isValidIcon = void 0;

var React = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _styledComponents = require("styled-components");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const isImageSource = source => // source is an object with uri
typeof source === "object" && source !== null && Object.prototype.hasOwnProperty.call(source, "uri") && typeof source.uri === "string" || // source is a module, e.g. - require('image')
typeof source === "number" || // image url on web
_reactNative.Platform.OS === "web" && typeof source === "string" && (source.startsWith("data:image") || /\.(bmp|jpg|jpeg|png|gif|svg)$/.test(source));

const getIconId = source => {
  if (typeof source === "object" && source !== null && Object.prototype.hasOwnProperty.call(source, "uri") && typeof source.uri === "string") {
    return source.uri;
  }

  return source;
};

const isValidIcon = source => typeof source === "string" || typeof source === "function" || isImageSource(source);

exports.isValidIcon = isValidIcon;

const isEqualIcon = (a, b) => a === b || getIconId(a) === getIconId(b);

exports.isEqualIcon = isEqualIcon;

const SvgIcon = props => {
  const {
    icon: Icon,
    color,
    ...rest
  } = props;
  const theme = React.useContext(_styledComponents.ThemeContext);
  const iconColor = color || theme.colors.text;
  const size = rest.size || 24;
  const outline = rest.outline || false;
  const colorStyle = outline ? {
    stroke: iconColor
  } : {
    fill: iconColor
  };
  return props.icon ?
  /*#__PURE__*/
  // @ts-ignore
  React.createElement(Icon, _extends({}, rest, colorStyle, {
    width: size,
    height: size
  })) : /*#__PURE__*/React.createElement(_reactNative.Text, null, "Icon");
};

SvgIcon.defaultProps = {
  direction: "ltr"
};
var _default = SvgIcon;
exports.default = _default;
//# sourceMappingURL=SvgIcon.js.map