function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as React from "react";
import AppbarAction from "./AppbarAction"; // import AppbarBackIcon from './AppbarBackIcon';

import ArrowLeftIcon from "@mdi/svg/svg/arrow-left.svg";

/**
 * A component used to display a back button in the appbar.
 *
 * <div class="screenshots">
 *   <figure>
 *     <img class="medium" src="screenshots/appbar-backaction-android.png" />
 *     <figcaption>Android</figcaption>
 *   </figure>
 * </div>
 *
 * <div class="screenshots">
 *   <figure>
 *     <img class="medium" src="screenshots/appbar-backaction-ios.png" />
 *     <figcaption>iOS</figcaption>
 *   </figure>
 * </div>
 *
 * ## Usage
 * ```js
 * import * as React from 'react';
 * import Appbar from 'react-native-simple-elements/components/Appbar';
 *
 *
 * const MyComponent = () => (
 *     <Appbar.Header>
 *       <Appbar.BackAction onPress={() => {}} />
 *     </Appbar.Header>
 * );
 *
 * export default MyComponent;
 * ```
 */
const AppbarBackAction = ({
  icon,
  accessibilityLabel = "Back",
  ...rest
}) => /*#__PURE__*/React.createElement(AppbarAction, _extends({
  accessibilityLabel: accessibilityLabel
}, rest, {
  // icon={AppbarBackIcon}
  icon: icon ? icon : ArrowLeftIcon
}));

AppbarBackAction.displayName = "Appbar.BackAction";
export default AppbarBackAction;
//# sourceMappingURL=AppbarBackAction.js.map