import useScreenSize from "../hooks/useScreenSize";
import * as React from "react";
import { View, StyleSheet } from "react-native";

const FlexResponsiveContainer = ({
  style,
  children
}) => {
  const {
    isMobileView
  } = useScreenSize();
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.container, style, {
      flexDirection: isMobileView ? "column" : "row"
    }]
  }, children);
};

export default FlexResponsiveContainer;
const styles = StyleSheet.create({
  container: {
    backgroundColor: "transparent",
    display: "flex"
  }
});
//# sourceMappingURL=FlexResponsiveContainer.js.map