function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as React from "react";
import { screenSize } from "./utils/ScreenSize";
import { isHidden } from "./utils/helpers";
import { View } from "react-native";

const cloneElements = props => {
  //if size doesn't exist or is 0 default to 12
  const rowSize = props.size > 0 ? props.size : 12;
  return React.Children.map(props.children, element => {
    return /*#__PURE__*/React.cloneElement(element, {
      rowSize: rowSize
    });
  });
};

const Row = props => {
  if (isHidden(screenSize, props)) {
    return null;
  } else {
    return /*#__PURE__*/React.createElement(View, _extends({}, props, {
      style: [props.style, {
        display: "flex",
        flexDirection: "row",
        flexWrap: props.nowrap ? "nowrap" : "wrap",
        alignItems: props.alignItems,
        justifyContent: props.justifyContent,
        backgroundColor: "transparent"
      }],
      testID: "row"
    }), cloneElements(props));
  }
};

export default Row;
//# sourceMappingURL=Row.js.map