import * as React from "react";
import styled from "styled-components/native";
import { layout, space } from "styled-system";
const DefaultScrollview = styled.ScrollView(layout, space);
DefaultScrollview.defaultProps = {
  overflowY: "scroll"
};

function ScrollviewViewport(props) {
  const {
    children,
    paddingTop,
    paddingBottom
  } = props;
  return /*#__PURE__*/React.createElement(DefaultScrollview, {
    height: "100%",
    paddingTop: paddingTop,
    paddingBottom: paddingBottom,
    style: {
      position: "absolute",
      top: 0,
      right: 0,
      left: 0
    }
  }, children);
}

ScrollviewViewport.defaultProps = {
  paddingTop: 0,
  paddingBottom: 0
};
export default ScrollviewViewport;
//# sourceMappingURL=ScrollviewViewport.js.map