function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _templateObject3() {
  const data = _taggedTemplateLiteral(["\n    margin-top: 4px;\n"]);

  _templateObject3 = function () {
    return data;
  };

  return data;
}

function _templateObject2() {
  const data = _taggedTemplateLiteral(["\n    height: 40px;\n    justify-content: center;\n"]);

  _templateObject2 = function () {
    return data;
  };

  return data;
}

function _templateObject() {
  const data = _taggedTemplateLiteral(["\n    margin-bottom: 4px;\n"]);

  _templateObject = function () {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

import color from "color";
import * as React from "react";
import Text from "../Text";
import Divider from "../Divider";
import { ThemeContext } from "styled-components";
import styled from "styled-components/native";
const DrawerSectionContainer = styled.View(_templateObject());
const DrawerSectionTitleContainer = styled.View(_templateObject2());
const DrawerSectionDivider = styled(Divider)(_templateObject3());

/**
 * A component to group content inside a navigation drawer.
 *
 * <div class="screenshots">
 *   <figure>
 *     <img class="medium" src="screenshots/drawer-section.png" />
 *   </figure>
 * </div>
 *
 * ## Usage
 * ```js
 * import * as React from 'react';
 * import { DrawerItem } from 'react-native-simple-elements/components/Drawer';
 *
 * const MyComponent = () => {
 *   const [active, setActive] = React.useState('');
 *
 *
 *   return (
 *     <Drawer.Section title="Some title">
 *       <Drawer.Item
 *         label="First Item"
 *         active={active === 'first'}
 *         onPress={() => setActive('first')}
 *       />
 *       <Drawer.Item
 *         label="Second Item"
 *         active={active === 'second'}
 *         onPress={() => setActive('second')}
 *       />
 *     </Drawer.Section>
 *   );
 * };
 *
 * export default MyComponent;
 * ```
 */
const DrawerSection = ({
  children,
  title,
  style,
  ...rest
}) => {
  const theme = React.useContext(ThemeContext);
  const {
    colors,
    fonts
  } = theme;
  const titleColor = color(colors.text).alpha(0.54).rgb().string();
  const font = fonts.medium;
  return /*#__PURE__*/React.createElement(DrawerSectionContainer, _extends({
    style: style
  }, rest), title && /*#__PURE__*/React.createElement(DrawerSectionTitleContainer, null, /*#__PURE__*/React.createElement(Text, {
    numberOfLines: 1,
    style: {
      color: titleColor,
      ...font,
      marginLeft: 16
    }
  }, title)), children, /*#__PURE__*/React.createElement(DrawerSectionDivider, null));
};

DrawerSection.displayName = "Drawer.Section";
export default DrawerSection;
//# sourceMappingURL=DrawerSection.js.map