import * as React from "react";
import { StyleProp, TextStyle, ViewStyle } from "react-native";
import { Props as BottomSheetProps } from "./AlertDialog";
declare type RefProps = {
    close: () => void;
};
declare type TranslationProps = {
    cancelText: string;
    confirmText: string;
};
declare type Props = Omit<BottomSheetProps, "visible" | "onDismiss"> & {
    innerRef: React.RefObject<RefProps>;
    mode?: "message" | "confirm" | "error";
    title?: string;
    message?: string;
    translations?: TranslationProps;
    dialogContentStyle?: StyleProp<ViewStyle>;
    messageStyle?: StyleProp<TextStyle>;
};
declare const AlertDialogWithRef: {
    ({ innerRef, children, mode, title, message, translations, dialogContentStyle, messageStyle, ...rest }: Props): JSX.Element;
    defaultProps: {
        mode: string;
        translations: {
            confirmText: string;
            cancelText: string;
        };
    };
};
export default AlertDialogWithRef;
