import * as React from "react";
import { Props as BottomSheetProps } from "./BottomSheet";
declare type RefProps = {
    open: ({ onConfirm, onCancel }: {
        onConfirm: any;
        onCancel: any;
    }) => void;
    close: () => void;
};
declare type TranslationProps = {
    cancelText: string;
    confirmText: string;
};
declare type Props = Omit<BottomSheetProps, "visible" | "onDismiss"> & {
    innerRef: React.RefObject<RefProps>;
    title?: string;
    translations?: TranslationProps;
};
declare const BottomSheetWithRef: {
    ({ innerRef, children, title, translations, ...rest }: Props): JSX.Element;
    defaultProps: {
        translations: {
            confirmText: string;
        };
    };
};
export default BottomSheetWithRef;
