import * as React from "react";
import { Text as NativeText, TextStyle, StyleProp, ImageSourcePropType } from "react-native";
import { DefaultTheme } from "styled-components";
declare type IconSourceBase = string | ImageSourcePropType;
export declare type IconSource = IconSourceBase | Readonly<{
    source: IconSourceBase;
    direction: "rtl" | "ltr" | "auto";
}> | ((props: IconProps & {
    color: string;
}) => React.ReactNode);
declare type IconProps = {
    size: number;
    allowFontScaling?: boolean;
};
export declare const isValidIcon: (source: any) => boolean;
export declare const isEqualIcon: (a: any, b: any) => boolean;
declare type Props = React.ComponentProps<typeof NativeText> & {
    icon: React.ReactElement;
    size?: number;
    color?: string;
    outline?: boolean;
    direction?: string;
    style?: StyleProp<TextStyle>;
    /**
     * @optional
     */
    theme?: DefaultTheme;
};
declare const SvgIcon: {
    (props: Props): JSX.Element;
    defaultProps: {
        direction: string;
    };
};
export default SvgIcon;
