import * as React from "react";
import { StyleProp, TextStyle } from "react-native";
import Text from "../Text";
import { DefaultTheme } from "styled-components";
declare type Props = React.ComponentProps<typeof Text> & {
    /**
     * @optional
     */
    theme?: DefaultTheme;
    /**
     * Style that is passed to Text element.
     */
    style?: StyleProp<TextStyle>;
};
/**
 * A component used to display a header in lists.
 *
 * ## Usage
 * ```js
 * import * as React from 'react';
 * import { ListItem } from 'react-native-simple-elements/components/List';
 *
 * const MyComponent = () => <List.Subheader>My List Title</List.Subheader>;
 *
 * export default MyComponent;
 * ```
 */
declare const ListSubheader: {
    ({ style, ...rest }: Props): JSX.Element;
    displayName: string;
};
export default ListSubheader;
