import * as React from "react";
import { StyleProp, TextStyle, LayoutChangeEvent, Animated } from "react-native";
import { AdornmentSide } from "./enums";
import { DefaultTheme } from "styled-components";
declare type Props = {
    text: string;
    onLayout?: (event: LayoutChangeEvent) => void;
    textStyle?: StyleProp<TextStyle>;
    /**
     * @optional
     */
    theme?: DefaultTheme;
};
declare type ContextState = {
    topPosition: number | null;
    onLayout?: (event: LayoutChangeEvent) => void;
    visible?: Animated.Value;
    textStyle?: StyleProp<TextStyle>;
    side: AdornmentSide;
    paddingHorizontal?: number | string;
};
declare const AffixAdornment: React.FunctionComponent<{
    affix: React.ReactNode;
    testID: string;
} & ContextState>;
declare const TextInputAffix: {
    ({ text, textStyle: labelStyle }: Props): JSX.Element;
    displayName: string;
};
export default TextInputAffix;
export { TextInputAffix, AffixAdornment };
