import React from "react";
import { StyleProp, ViewStyle } from "react-native";
import IconButton from "../../IconButton";
import { $Omit } from "../../types";
import { DefaultTheme } from "styled-components";
declare type Props = $Omit<React.ComponentProps<typeof IconButton>, "icon" | "theme"> & {
    icon: React.ReactElement;
    onPress?: () => void;
    forceTextInputFocus?: boolean;
    style?: StyleProp<ViewStyle>;
    theme?: DefaultTheme;
};
export declare const ICON_SIZE = 24;
declare type StyleContextType = {
    style: StyleProp<ViewStyle>;
    isTextInputFocused: boolean;
    forceFocus: () => void;
};
declare const IconAdornment: React.FunctionComponent<{
    testID: string;
    icon: React.ReactNode;
    topPosition: number;
    side: "left" | "right";
} & Omit<StyleContextType, "style">>;
declare const TextInputIcon: {
    ({ icon, onPress, forceTextInputFocus, ...rest }: Props): JSX.Element;
    displayName: string;
    defaultProps: {
        forceTextInputFocus: boolean;
    };
};
export default TextInputIcon;
export { IconAdornment };
