import * as React from "react";
import { TextInput, Animated, ViewStyle, StyleProp, TextStyle, TextInputProps } from "react-native";
export declare type InputProps = React.ComponentPropsWithRef<typeof TextInput> & {
    containerStyle?: StyleProp<ViewStyle>;
    disabled?: boolean;
    disabledInputStyle?: StyleProp<TextStyle>;
    inputContainerStyle?: StyleProp<ViewStyle>;
    leftIcon?: React.ReactElement;
    leftIconContainerStyle?: StyleProp<ViewStyle>;
    rightIcon?: React.ReactElement;
    rightIconContainerStyle?: StyleProp<ViewStyle>;
    inputStyle?: StyleProp<TextStyle>;
    InputComponent?: React.ComponentType | React.ForwardRefExoticComponent<any>;
    errorProps?: Record<string, any>;
    errorStyle?: StyleProp<TextStyle>;
    errorMessage?: string;
    label?: string | React.ReactNode;
    labelStyle?: StyleProp<TextStyle>;
    labelProps?: Record<string, any>;
    renderErrorMessage?: boolean;
};
export declare class Input extends React.Component<InputProps> {
    static displayName: string;
    static contextType: any;
    input: any;
    shakeAnimationValue: Animated.Value;
    focus(): void;
    blur(): void;
    clear(): void;
    isFocused(): boolean;
    setNativeProps(nativeProps: Partial<TextInputProps>): void;
    shake: () => void;
    render(): JSX.Element;
}
