import * as React from "react";
import { BoxProps } from "../Box/index";
import { StyledToastProps } from "./styles";
export declare type ToastConfig = {
    accentColor?: string;
    bg?: string;
    closeButtonStyles?: BoxProps;
    closeIconColor?: string;
    closeIconName?: string;
    closeIconSize?: number;
    color?: string;
    duration?: number;
    hideAccent?: boolean;
    hideIcon?: boolean;
    iconColor?: string;
    iconName?: string;
    intent?: "SUCCESS" | "ERROR" | "INFO";
    message: string;
    onPress?: () => void;
    shouldVibrate?: boolean;
    subMessage?: string;
    toastStyles?: StyledToastProps;
};
export declare type ToastInternalConfig = {
    id?: string;
    index?: number;
    position?: "TOP" | "BOTTOM";
    onClose?: (id: string) => void;
};
export declare const Toast: React.FC<ToastConfig & ToastInternalConfig>;
declare const _default: React.NamedExoticComponent<ToastConfig & ToastInternalConfig>;
export default _default;
