/// <reference types="styled-components-react-native" />
import * as React from "react";
import { Animated, ViewProps } from "react-native";
import { BackgroundProps, BorderProps, ColorProps, FlexboxProps, FontSizeProps, LayoutProps, PositionProps, ShadowProps, SpaceProps, TextAlignProps } from "styled-system";
export declare const systemProps: import("styled-system").styleFn;
export declare type StyledToastProps = SpaceProps & ColorProps & LayoutProps & FlexboxProps & BackgroundProps & BorderProps & PositionProps & ShadowProps & {
    elevation?: number;
    accentColor?: string;
};
export declare const StyledToast: Animated.AnimatedComponent<import("styled-components").StyledComponent<typeof import("react-native").TouchableOpacity, import("styled-components").DefaultTheme, StyledToastProps, never>>;
declare type AccentProps = ViewProps & SpaceProps & ColorProps & {};
export declare const Accent: React.FC<AccentProps>;
export declare type TextProps = SpaceProps & ColorProps & TextAlignProps & FontSizeProps;
export declare const Heading: import("styled-components").StyledComponent<typeof import("react-native").Text, import("styled-components").DefaultTheme, TextProps, never>;
export declare const SubText: import("styled-components").StyledComponent<typeof import("react-native").Text, import("styled-components").DefaultTheme, TextProps, never>;
export declare const IconCont: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, any, never>;
declare type CloseButtonContProps = {};
export declare const CloseButtonCont: React.FC<CloseButtonContProps>;
export {};
